# -*- encoding: utf-8 -*-
# stub: carrierwave 3.0.7 ruby lib

Gem::Specification.new do |s|
  s.name = "carrierwave".freeze
  s.version = "3.0.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jonas Nicklas".freeze]
  s.date = "2024-07-25"
  s.description = "Upload files in your Ruby applications, map them to a range of ORMs, store them on different backends.".freeze
  s.email = ["jonas.nicklas@gmail.com".freeze]
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["README.md".freeze, "lib/carrierwave".freeze, "lib/carrierwave.rb".freeze, "lib/carrierwave/compatibility".freeze, "lib/carrierwave/compatibility/paperclip.rb".freeze, "lib/carrierwave/downloader".freeze, "lib/carrierwave/downloader/base.rb".freeze, "lib/carrierwave/downloader/remote_file.rb".freeze, "lib/carrierwave/error.rb".freeze, "lib/carrierwave/locale".freeze, "lib/carrierwave/locale/en.yml".freeze, "lib/carrierwave/mount.rb".freeze, "lib/carrierwave/mounter.rb".freeze, "lib/carrierwave/orm".freeze, "lib/carrierwave/orm/activerecord.rb".freeze, "lib/carrierwave/processing".freeze, "lib/carrierwave/processing.rb".freeze, "lib/carrierwave/processing/mini_magick.rb".freeze, "lib/carrierwave/processing/rmagick.rb".freeze, "lib/carrierwave/processing/vips.rb".freeze, "lib/carrierwave/sanitized_file.rb".freeze, "lib/carrierwave/storage".freeze, "lib/carrierwave/storage.rb".freeze, "lib/carrierwave/storage/abstract.rb".freeze, "lib/carrierwave/storage/file.rb".freeze, "lib/carrierwave/storage/fog.rb".freeze, "lib/carrierwave/test".freeze, "lib/carrierwave/test/matchers.rb".freeze, "lib/carrierwave/uploader".freeze, "lib/carrierwave/uploader.rb".freeze, "lib/carrierwave/uploader/cache.rb".freeze, "lib/carrierwave/uploader/callbacks.rb".freeze, "lib/carrierwave/uploader/configuration.rb".freeze, "lib/carrierwave/uploader/content_type_allowlist.rb".freeze, "lib/carrierwave/uploader/content_type_denylist.rb".freeze, "lib/carrierwave/uploader/default_url.rb".freeze, "lib/carrierwave/uploader/dimension.rb".freeze, "lib/carrierwave/uploader/download.rb".freeze, "lib/carrierwave/uploader/extension_allowlist.rb".freeze, "lib/carrierwave/uploader/extension_denylist.rb".freeze, "lib/carrierwave/uploader/file_size.rb".freeze, "lib/carrierwave/uploader/mountable.rb".freeze, "lib/carrierwave/uploader/processing.rb".freeze, "lib/carrierwave/uploader/proxy.rb".freeze, "lib/carrierwave/uploader/remove.rb".freeze, "lib/carrierwave/uploader/serialization.rb".freeze, "lib/carrierwave/uploader/store.rb".freeze, "lib/carrierwave/uploader/url.rb".freeze, "lib/carrierwave/uploader/versions.rb".freeze, "lib/carrierwave/utilities".freeze, "lib/carrierwave/utilities.rb".freeze, "lib/carrierwave/utilities/file_name.rb".freeze, "lib/carrierwave/utilities/uri.rb".freeze, "lib/carrierwave/validations".freeze, "lib/carrierwave/validations/active_model.rb".freeze, "lib/carrierwave/version.rb".freeze, "lib/generators".freeze, "lib/generators/templates".freeze, "lib/generators/templates/uploader.rb.erb".freeze, "lib/generators/uploader_generator.rb".freeze]
  s.homepage = "https://github.com/carrierwaveuploader/carrierwave".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--main".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.4.20".freeze
  s.summary = "Ruby file upload library".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<activesupport>.freeze, [">= 6.0.0"])
  s.add_runtime_dependency(%q<activemodel>.freeze, [">= 6.0.0"])
  s.add_runtime_dependency(%q<image_processing>.freeze, ["~> 1.1"])
  s.add_runtime_dependency(%q<marcel>.freeze, ["~> 1.0.0"])
  s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.6"])
  s.add_runtime_dependency(%q<ssrf_filter>.freeze, ["~> 1.0"])
  s.add_development_dependency(%q<csv>.freeze, ["~> 3.0"])
  s.add_development_dependency(%q<cucumber>.freeze, ["~> 2.3"])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
  s.add_development_dependency(%q<rspec-retry>.freeze, [">= 0"])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.28"])
  s.add_development_dependency(%q<webmock>.freeze, [">= 0"])
  s.add_development_dependency(%q<fog-aws>.freeze, [">= 0"])
  s.add_development_dependency(%q<fog-google>.freeze, ["~> 1.7", "!= 1.12.1"])
  s.add_development_dependency(%q<fog-local>.freeze, [">= 0"])
  s.add_development_dependency(%q<fog-rackspace>.freeze, [">= 0"])
  s.add_development_dependency(%q<mini_magick>.freeze, [">= 3.6.0"])
  s.add_development_dependency(%q<rmagick>.freeze, [">= 2.16"])
  s.add_development_dependency(%q<timecop>.freeze, [">= 0"])
  s.add_development_dependency(%q<generator_spec>.freeze, [">= 0.9.1"])
  s.add_development_dependency(%q<pry>.freeze, [">= 0"])
  s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
end
